Bug 116828 - (AIC7XXX SCSI PATCH)aic7xxx driver deadlock
(AIC7XXX SCSI PATCH)aic7xxx driver deadlock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-25 11:06 EST by Pavel Polischouk
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt from /var/log/messages (7.70 KB, text/plain)
2004-02-25 11:09 EST, Pavel Polischouk
no flags Details

  None (edit)
Description Pavel Polischouk 2004-02-25 11:06:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
When trying to write large file to SCSI disk controlled by aic7xxx
driver, it resets/aborts several times, then dumps state and offlines
the device. Filesystem module (reiserfs) then complains about not
being able to write journal.

Version-Release number of selected component (if applicable):
kernel-2.6.3-1.100

How reproducible:
Didn't try second time

Steps to Reproduce:
1. mv kernel-source-2.6.3-1.100-i386.rpm <filesystem-on-SCSI>
2. watch /var/log/messages


Actual Results:  Feb 24 22:50:32 pavelp kernel: scsi0:0:2:0:
Attempting to queue an ABORT messageFeb 24 22:50:32 pavelp kernel:
CDB: 0x2a 0x0 0x0 0x1 0xd4 0x8d 0x0 0x0 0x20 0x0
Feb 24 22:50:32 pavelp kernel: scsi0:0:2:0: Command already completed
Feb 24 22:50:32 pavelp kernel: aic7xxx_abort returns 0x2002
Feb 24 22:50:42 pavelp kernel: scsi0:0:2:0: Attempting to queue an
ABORT messageFeb 24 22:50:42 pavelp kernel: CDB: 0x0 0x0 0x0 0x0 0x0 0x0
Feb 24 22:50:42 pavelp kernel: scsi0:0:2:0: Command already completed
Feb 24 22:50:42 pavelp kernel: aic7xxx_abort returns 0x2002

will attach the complete log

Expected Results:  no failures

Additional info:
Comment 1 Pavel Polischouk 2004-02-25 11:09:01 EST
Created attachment 98040 [details]
Excerpt from /var/log/messages
Comment 2 Pavel Polischouk 2004-02-25 11:11:13 EST
this might be related to bug 115703
Comment 3 Pavel Polischouk 2004-03-09 12:40:36 EST
Same happens with kernel-2.6.3-1.100
This time no heavy activity was done - the failure happened when
trying to umount the filesystem as part of shutdown sequence. Messages
were almost identical to those reported before.
Comment 4 Pavel Polischouk 2004-03-13 20:39:38 EST
Re-confirmed for 2.6.3-2.1.253. No heavy activity is needed for the
driver to fail, only an attempt to read directory.

aic7xxx_old works fine with the same kernel - could be something as
simple as compile-time mis-configuration of aic7xxx (new) module.
Comment 5 Pavel Polischouk 2004-03-16 10:22:50 EST
This is a known problem, the patch exists in -mm tree:

http://www.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.4/2.6.4-mm2/broken-out/aic7xxx-deadlock-fix.patch

Please apply to RPM build pending inclusion to Linus tree. The patch
completely fixes this problem.
Comment 6 Dave Jones 2004-12-07 01:41:34 EST
fixed in the current errata kernel ?
Comment 7 Dave Jones 2005-04-16 01:08:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.